package hdm.mi.sthbackend;

import hdm.mi.sthbackend.model.Player;
import hdm.mi.sthbackend.repository.IMatchRepository;
import hdm.mi.sthbackend.repository.IPlayerRepository;
import hdm.mi.sthbackend.repository.ITeamRepository;
import hdm.mi.sthbackend.repository.ITournamentRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;

import java.util.UUID;

@SpringBootApplication(exclude = {org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class})
@EnableMongoRepositories
public class SthBackendApplication {

	@Autowired
	ITournamentRepository tournamentRepository;
	@Autowired
	IPlayerRepository playerRepository;
	@Autowired
	IMatchRepository matchRepository;
	@Autowired
	ITeamRepository teamRepository;

	public static void main(String[] args) {
		SpringApplication.run(SthBackendApplication.class, args);

	}

	@Bean
	public CommandLineRunner demo() {
		return args -> {
			// Create SimpleObject instances
			Player player = new Player( UUID.randomUUID(), "Name"	);

			// Insert objects into MongoDB using insert

			playerRepository.save( player );

			// Retrieve and print all objects from MongoDB

			playerRepository.findAll().forEach(System.out::println);
		};
	}
}
